> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Enrichment Provider



## OpenAPI

````yaml DELETE /v1/enrichment-providers/{provider_uuid}
openapi: 3.1.0
info:
  title: Calseta
  description: SOC data platform for security agent consumption
  version: dev
servers: []
security: []
paths:
  /v1/enrichment-providers/{provider_uuid}:
    delete:
      tags:
        - enrichment-providers
      summary: Delete Enrichment Provider
      operationId: >-
        delete_enrichment_provider_v1_enrichment_providers__provider_uuid__delete
      parameters:
        - name: provider_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Provider Uuid
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````